Page MenuHomePhabricator

Publish button does not become active when editing the translation
Closed, ResolvedPublic

Description

As described in T114621#1862046 by @Trondtr, it seems that under some circumstances the publish button does not become active making it impossible to publish a translation. Details copied below:

Here is the procedure:

I choose text + title for the translated article
I click the "Start a new translation"
The page I arrive at has the original to the left, an empty field to the right, and a grey "Publish translation" button
I click the paragraphs, one by one, and get translations from Apertium. Now, things go good or bad:
GOOD:
After my first click, I get translated text, and the grey button turn green. Now I know I may continue, I will be able to publish in the end.
BAD:
After my first click, I get translated text, but the grey button does NOT turn green. Now I know I have to abandon this translation. No matter what I do, I will not be able to translate on any point. The button will stay gray, and nothing will happend when I press the grey button.

No other error message turns up. The button either starts out gray and continues as gray, or it turns green when the first paragraph is translated (I imagine the program scans the text for errors)..

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a subscriber: Trondtr.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 8 2015, 3:53 PM

I think I have observed this once. No apparent cause or any JS errors.

Amire80 triaged this task as Medium priority.Dec 13 2015, 10:07 PM
Amire80 set Security to None.

Mmmm... so sometimes it becomes and sometimes it doesn't?

Yes. That would indicate some kind of race condition that Trondtr is able to trigger quite reliably.

yes, sometimes (appr in 20% of the cases) I am able to publish ("green button"), and sometimes I am not. Unfortunately, I have not been able to spot any correlating factor (I have tried varying article type). But as long as I do not know what causes the problem it is also hard to look for it. I also have not got any feedback from others in this thread as to whether they are able to replicate my results, or whether nb-no works for them.

After a meeting today with Runa and Niklas, it turned out that I had an old .js page under my user page area (having to do with author counting of WP pages). After deleting it, all pages tested so far work. I will return with more info, but at present it seems that my bug (the grau button not turning green for nb->nn) is solved.

Nikerabbit closed this task as Resolved.Dec 18 2015, 1:51 PM
Nikerabbit claimed this task.

Content Translation is known to be susceptible to other scripts causing issues, specifically gadgets. We can add local user scripts to the list of suspects.

Do reopen this bug if the issue still occurs.

KartikMistry moved this task from Backlog to Done on the LE-CX7-Sprint 4 board.Dec 21 2015, 6:29 AM